#!/usr/bin/env python
# -*- coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from __future__ import print_function
from __future__ import unicode_literals
from __future__ import absolute_import
from __future__ import division

import os
import re

from django.utils.importlib import import_module
from django.conf import settings


storages = []

dirname = os.path.dirname(os.path.abspath(__file__))
_length = len(settings.PROJECT_ROOT)
pypath = dirname[_length:].strip(os.sep).replace(os.sep, '.')
for _name in os.listdir(dirname):
    _path = os.path.join(dirname, _name)
    if os.path.isdir(_path):
        try:
            _import_module = lambda f: import_module('.{0}.{1}'.format(_name, f), package=pypath)
            storages.append({
                'pk': _name,
                'name': _import_module('name').name,
                'Form': _import_module('form').Form,
                'node_to_dict': _import_module('convert').node_to_dict,
                'dict_to_node': _import_module('convert').dict_to_node,
                'urlpatterns': _import_module('urls').urlpatterns,
                'order': _import_module('order').order,
                'STYLE_HTML': os.path.join(dirname, _name, 'style.html'),
                'SCRIPT_HTML': os.path.join(dirname, _name, 'script.html'),
            })
        except:
            pass
